%def_enable tests
%def_disable static
%def_disable gtk_doc

Name: libgalago
Version: 0.5.2
Release: alt1

Summary: The Galago presence library
Group: System/Libraries
License: LGPL
URL: http://www.galago-project.org/

Packager: Alexey Shabalin <shaba@altlinux.ru>

Source:	http://www.galago-project.org/files/releases/source/%name/%name-%version.tar.bz2

%define glib2_version	2.8.0
%define dbus_version	0.50

BuildRequires: glib2-devel >= %glib2_version
BuildRequires: libdbus-devel  >= %dbus_version
BuildRequires: libdbus-glib-devel  >= %dbus_version
%{?_enable_tests:BuildPreReq: check libcheck-devel}
BuildRequires: gcc-c++ gtk-doc


%description
Galago is a D-BUS-based desktop presence framework used to provide account,
person, and presence information for users on IM services and other
communication networks for use in other desktop applications, such as e-mail
clients or address books.

%package devel
Summary:	Development libraries and headers for libgalago
Group:		Development/C
Requires:	%name = %version-%release

%description devel
Libraries and header files for developing against libgalago, a desktop
presence library.

%package devel-doc
Summary: Development documentation for libgalago
Group: Development/C
BuildArch: noarch

%description devel-doc
API documentation for libgalago, a desktop presence library.

%package devel-static
Summary: Static libgalago library
Group: Development/C
Requires: %name-devel = %version-%release

%description devel-static
Static libgalago library

%prep
%setup -q

%build
glib-gettextize --copy --force
%configure \
	%{subst_enable static} \
	%{subst_enable tests} \
	%{?_enable_gtk_doc:--enable-gtk-doc} \
	--disable-rpath

%make_build

%if_enabled check
%make check
%endif

%install
%make_install DESTDIR=%buildroot install

%find_lang %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog NEWS README
%_libdir/libgalago.so.*

%files devel
%_libdir/libgalago.so
%_pkgconfigdir/*
%_includedir/*

%files devel-doc
%_datadir/gtk-doc/html/*

%if_enabled static
%files devel-static
%_libdir/libgalago.a
%endif

%changelog
* Wed Oct 08 2008 Alexey Shabalin <shaba@altlinux.ru> 0.5.2-alt1
- 0.5.2
- build devel-doc as noarch

* Wed Dec 27 2006 Igor Zubkov <icesik@altlinux.org> 0.5.1-alt1.1
- rebuild with new dbus

* Mon Jun 05 2006 Mikhail Zabaluev <mhz@altlinux.ru> 0.5.1-alt1
- Updated to 0.5.1
- Disabled static build by default
- Spec cleanup

* Wed Apr 19 2006 ALT QA Team Robot <qa-robot@altlinux.org> 0.3.3-alt1.1
- Rebuild with dbus-0.61-alt1 .

* Sun Sep 18 2005 Vital Khilko <vk@altlinux.ru> 0.3.3-alt1
- initial build

